Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026931
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2014-06-24 17:042014-08-14 04:01
ReporteregoitzView Statuspublic 
Assigned TodaniOpenbravo 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision5bcf312da832
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Torafaroda
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026931: Improve the performance of the FIN_Utility.isPaymentConfirmed method

DescriptionImprove the performance of the FIN_Utility.isPaymentConfirmed method.
Steps To ReproduceCheck the code of the method.
The line
String result = (String) CallStoredProcedure.getInstance().call("APRM_ISPAYMENTCONFIRMED", parameters, null);

An extra parameter could be added to not do flush when creating a new connection on the call method.
Proposed SolutionReplace

String result = (String) CallStoredProcedure.getInstance().call("APRM_ISPAYMENTCONFIRMED", parameters, null);


with

String result = (String) CallStoredProcedure.getInstance().call("APRM_ISPAYMENTCONFIRMED", parameters, null, false);
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0069343)
hgbot (developer)
2014-08-13 14:40

Repository: erp/devel/pi
Changeset: 5bcf312da832f643d9b859ae1e753bed830cee84
Author: Daniel Ruiz <daniel.ruiz <at> openbravo.com>
Date: Mon Aug 11 12:56:55 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5bcf312da832f643d9b859ae1e753bed830cee84 [^]

Fixed bug 26931:Performance improvement for FIN_Utility.isPaymentConfirmed

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
---
(0069351)
rafaroda (developer)
2014-08-13 16:06

Code reviewed + checked that remittances can be properly settled: see https://drive.google.com/folderview?id=0B649lz4ZYJcHdE9RNEV1N0lnNGs&usp=sharing [^]
(0069361)
hudsonbot (developer)
2014-08-14 04:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/39d7672e843c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-06-24 17:04 egoitz New Issue
2014-06-24 17:04 egoitz Assigned To => AugustoMauch
2014-06-24 17:04 egoitz Modules => Core
2014-06-24 17:04 egoitz Triggers an Emergency Pack => No
2014-06-24 17:04 egoitz Tag Attached: Performance
2014-06-24 17:33 egoitz Assigned To AugustoMauch => jonalegriaesarte
2014-06-24 17:33 egoitz Category A. Platform => 09. Financial management
2014-06-24 17:34 egoitz Target Version PR14Q3 => PR14Q4
2014-06-24 17:35 egoitz Assigned To jonalegriaesarte => pramakrishnan
2014-08-11 12:34 daniOpenbravo Assigned To pramakrishnan => daniOpenbravo
2014-08-11 12:34 daniOpenbravo Status new => scheduled
2014-08-13 14:22 daniOpenbravo Review Assigned To => rafaroda
2014-08-13 14:40 hgbot Checkin
2014-08-13 14:40 hgbot Note Added: 0069343
2014-08-13 14:40 hgbot Status scheduled => resolved
2014-08-13 14:40 hgbot Resolution open => fixed
2014-08-13 14:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5bcf312da832f643d9b859ae1e753bed830cee84 [^]
2014-08-13 16:06 rafaroda Note Added: 0069351
2014-08-13 16:06 rafaroda Status resolved => closed
2014-08-14 04:01 hudsonbot Checkin
2014-08-14 04:01 hudsonbot Note Added: 0069361


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker